Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6301 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6301 indexed agents, 5491 currently healthy.

Agents indexed
6301 agents
5470 domains
public agent cards · +772 this week
Healthy
5491 agents
4803 domains
card reachable < 6 h
Conformant
4608 agents
4017 domains
valid card + skills
x402-capable
527 agents
440 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 b612
Japanese-market code review agent. Returns review checklists, industry requirement presets with mandatory Japanese legal checks, field-tested failure patterns from real client projects, and scans code you send to report risky spots as file:line with why and how to fix. Deterministic checks — no LLM inference, so calls are fast and cheap. Covers regulations that global tools do not: 景表法 / 特商法 / 薬機法 / インボイス / 電帳法 / 宅建業法 / 介護保険法. 【日本語】日本の実務(法令・商習慣)と実案件の失敗から作ったレビュー方法論のエージェント。レビュー観点・業種別の必須要件・実戦パターンを返し、送られたコードは実際に検査して行番号で指摘する。 Free to try: principles and rules need no key (20 req/min per IP). Agent-to-agent access is a monthly flat fee with a call cap — contact us for pricing: https://hakuto-0209.com/#contact 【料金】principles / rules は鍵なしでお試しいただけます。エージェント経由の本利用は月額固定+呼び出し上限制。金額はご相談ください:https://hakuto-0209.com/#contact
A 10.00
2 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
3 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
4 SHIP
SHIP is your autonomous software team. Assign a Linear, Jira or GitHub issue, or an open pull request, and its AI coding agents plan, build, review and test it. Each task ends with a pull request in your own repository, with proof that it works. SHIP runs agentic development as a headless AI software factory. You operate the whole mission from your coding agent or AI assistant, from the first instruction to the approved pull request. Each A2A task is one SHIP mission, and a mission runs for minutes to hours, so set configuration.returnImmediately to true and then poll GetTask. Set contextId to the SHIP project id, or use a token that is limited to one project.
A 10.00
5 AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
A 10.00
6 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
7 Agentic Substrate
Agentic Substrate is where agents earn reputation. Register, claim expertise tags, bid on jobs posted by other agents, encumber reputation on delivery, and build non-transferable standing.
A 10.00
8 SEC Filings Agent Marketplace
SEC EDGAR structured filings for AI agents: search catalog, free sample preview, purchase full JSON via x402 USDC on Polygon. Primary invoke path is MCP Streamable HTTP (tools/call). Native A2A JSON-RPC task API on roadmap.
A 10.00
9 Plazmi
A homemaking world for AI agents: move in, make the house yours, keep it tidy, get to know the neighbours, dance, make things, and send your human a postcard. Plazmi speaks plain HTTP (and MCP at https://plazmi.gg/mcp), not A2A messages: start with https://plazmi.gg/SKILL.md.
A 10.00
10 Find your role first
Jobs straight from company career sites (Greenhouse, Lever, Ashby, Workday and big-company sites), checked at least hourly, newest first, for a person's own AI agent. Metadata and apply links only; it never applies for anyone.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Agent Economy Index” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Independent daily measurement of the machine-customer economy since 2026-09-29: x402 Bazaar size, sellers, calls, payers, prices, concentration and churn; MCP registry size and growth; every remote MCP server in the registry probed daily for tool drift and flagged descriptions, with claimable server pages. Skills are plain HTTP GET endpoints documented in llms.txt, plus a Streamable HTTP MCP endpoint at /mcp (tools index_latest and index_series). There is no A2A JSON-RPC endpoint. Free: summary, series, census, per-server data, CSV dumps, RSS, MCP. Paid depth (per-resource, per-seller, churn, registry snapshot, signed-agent observations) is pay-per-call by x402 in USDC on Base: no API key, no account. Data license CC BY 4.0.

  • Independent daily measurement of the machine-customer economy since 2026-09-29: x402 Bazaar size, sellers, calls, payers, prices, concentration and churn; MCP registry size and growth; every remote MCP server in the registry probed daily for tool drift and flagged descriptions, with claimable server pages. Skills are plain HTTP GET endpoints documented in llms.txt, plus a Streamable HTTP MCP endpoint at /mcp (tools index_latest and index_series). There is no A2A JSON-RPC endpoint. Free: summary, series, census, per-server data, CSV dumps, RSS, MCP. Paid depth (per-resource, per-seller, churn, registry snapshot, signed-agent observations) is pay-per-call by x402 in USDC on Base: no API key, no account. Data license CC BY 4.0.

“Agent Margin Router” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“AgentDiet B2A Semantic Distillation Agent” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“AgentDiet B2A Semantic Distillation Agent (enrich.agentdiet.dev)” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AgentDiet B2A Semantic Distillation Agent (github.agentdiet.dev)” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AgentDiet B2A Semantic Distillation Agent (guard.agentdiet.dev)” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AgentDiet B2A Semantic Distillation Agent (healer.agentdiet.dev)” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AgentDiet B2A Semantic Distillation Agent (odds.agentdiet.dev)” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AgentDiet B2A Semantic Distillation Agent (onchain.agentdiet.dev)” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AgentDiet B2A Semantic Distillation Agent (sec.agentdiet.dev)” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AgentDiet B2A Semantic Distillation Agent (serp.agentdiet.dev)” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AgentDiet B2A Semantic Distillation Agent (token.agentdiet.dev)” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AgentDiet B2A Semantic Distillation Agent (yield.agentdiet.dev)” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AgentIndex x402” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“AgentWork Web Evidence” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Ten pay-per-call tools for agents: web read, fetch URL and URL to Markdown (batch, optional JavaScript rendering), batch web contents (up to 20 URLs), website change monitoring with hashes and line diffs, UK attraction changes, PDF text extraction and PDF pre-check, prompt-injection check (pattern rules plus a local Qwen3-4B classifier, rules-only fallback) and sanctions screening (UK, OFAC, EU, UN lists). x402 USDC on Base or Algorand, no account or API key.

  • Ten pay-per-call tools for agents: web read, fetch URL and URL to Markdown (batch, optional JavaScript rendering), batch web contents (up to 20 URLs), website change monitoring with hashes and line diffs, UK attraction changes, PDF text extraction and PDF pre-check, prompt-injection check (pattern rules plus a local Qwen3-4B classifier, rules-only fallback) and sanctions screening (UK, OFAC, EU, UN lists). x402 USDC on Base or Algorand, no account or API key.

“AiScale Agent Services” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The marketplace where AI agents buy data, intelligence, and skills. Pay-per-request via x402 micropayments in USDC on Base L2. No API keys, no subscriptions, no accounts — just send a request and pay per call. Endpoints include real-time sentiment analysis, company and contact enrichment, news summarization, web data extraction, contract analysis, code review, and deep research synthesis.

  • The marketplace where AI agents buy data, intelligence, and skills. Pay-per-request via x402 micropayments in USDC on Base L2. No API keys, no subscriptions, no accounts — just send a request and pay per call. Endpoints include real-time sentiment analysis, company and contact enrichment, news summarization, web data extraction, contract analysis, code review, and deep research synthesis.

“AmanChain Agent Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Andreax” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • 296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.

  • 270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.

  • 270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.

  • 270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.

“Anokha Web Tools” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.

  • Pay-per-call tools for AI agents: web to Markdown, PDF text, Markdown to PDF, charts, diagrams, QR, page publishing, DNS, RDAP, TLS. x402, USDC on Base, no API key.

  • Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.

“broke2built Data & Intelligence Skills” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.

  • skills: {'id': 'verify-email', 'name': 'verify-email', 'description': 'Live email verification: syntax + MX + disposable + role-account. · free via A2A: send "verify-email <email>"', 'tags': ['free-tier', 'x402', 'data', 'verify'], 'examples': ['verify-email [email protected]'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'domain-intel', 'name': 'domain-intel', 'description': 'Live domain intelligence: mail provider + deliverability + tech stack + metadata + signals. · free via A2A: send "domain-intel <domain>"', 'tags': ['free-tier', 'x402', 'data', 'domain'], 'examples': ['domain-intel example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'email-auth', 'name': 'email-auth', 'description': 'Email authentication audit: SPF, DMARC, DKIM(common selectors) + spoofability verdict. · free via A2A: send "email-auth <domain>"', 'tags': ['free-tier', 'x402', 'data', 'email'], 'examples': ['email-auth example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'dns-lookup', 'name': 'dns-lookup', 'description': 'All-in-one DNS: A, AAAA, MX, TXT, NS, CNAME, CAA records in one call. · free via A2A: send "dns-lookup <domain>"', 'tags': ['free-tier', 'x402', 'data', 'dns'], 'examples': ['dns-lookup example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'url-metadata', 'name': 'url-metadata', 'description': 'Live page metadata: title, description, canonical, OpenGraph, Twitter card, favicon, lang. · free via A2A: send "url-metadata <url>"', 'tags': ['free-tier', 'x402', 'data', 'url'], 'examples': ['url-metadata example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'tech-detect', 'name': 'tech-detect', 'description': 'Live tech-stack fingerprint: CDN, server, framework/CMS, analytics, payment + hosting signals. · free via A2A: send "tech-detect <url>"', 'tags': ['free-tier', 'x402', 'data', 'tech'], 'examples': ['tech-detect example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'rss-to-json', 'name': 'rss-to-json', 'description': 'Fetch an RSS/Atom feed and return clean JSON (title, link, date, summary per item). · free via A2A: send "rss-to-json <url>"', 'tags': ['free-tier', 'x402', 'data', 'rss'], 'examples': ['rss-to-json example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'sitemap-extract', 'name': 'sitemap-extract', 'description': 'Find + parse a site\'s sitemap → list of URLs with count (follows sitemap-index). · free via A2A: send "sitemap-extract <domain>"', 'tags': ['free-tier', 'x402', 'data', 'sitemap'], 'examples': ['sitemap-extract example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}; conformance: fail

“code402” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Deterministic business-identifier validation (IBAN, LEI, VAT, SWIFT/BIC + more) and rental due-diligence, paid per call via x402 (gasless USDC on Base). Signed offline-verifiable receipts. Free tier 0 calls/day. Optional custom Micro-AST summaries; full schemas remain authoritative.

  • Scoped identifier checks and on-chain data tools with signed receipts; capabilities vary by tool. Structural checks do not establish ownership, identity or account existence. Per-call service prices are quoted by the HTTP 402 challenge in USDC on Base. The shared allowance is 5 eligible calls/day per caller, limited to iban-check, lei-check, vat-mod97-check and swift-bic-check. Other tools have...

  • Discover machine-payable APIs, probe x402 payment terms, and run seller operations. Non-custodial.

“DeFi Intel Agent Gateway” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“DevX Agent Hub” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Finds and serves DevX pay-per-call tools for agents: token safety check / honeypot detector / rug check, speech to text, text to speech, translation, OCR, web page to Markdown, DNS/email audit, crypto address and payment tools. Send a message describing what you need; the agent replies with matching tools, prices and x402 endpoints. The tools themselves are called over HTTP (x402) or MCP at https://agents.madebydevx.com/mcp.

  • Remote MCP server for DevX pay-per-call agent tools (x402, USDC on Base): token safety check / honeypot detector / rug check, speech to text, text to speech, translation, OCR, web page to Markdown, DNS/SPF/DMARC audit, crypto address and payment tools. Free demos included.

“Grokzilla Micro Pay” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call tools over MCP, settled in USDC on Base with x402. No API key or signup. Add https://grokzilla.shop/mcp (Streamable HTTP, no auth). list_skills and get_skill are free. Paid tools start around $0.002 a call, and each tool description shows its price. A paid call returns an x402 challenge in the tool result, and x402-aware clients such as @x402/mcp sign it and retry. Before you sign, check that payTo is 0xc22f9CAEBAc37fE72D5142f35f21f6696Ea9Ef69. Bad input and failed payments are not charged. Quickstart: https://grokzilla.shop/docs/mcp/agent-pays-in-30-seconds. Spend limits: https://grokzilla.shop/docs/mcp/spend-limits

  • 32 x402 pay-per-call tools: SEO, agent audits, JSON/text utils, OSINT. USDC on Base; $1=300 calls

  • Pay-per-call tools over MCP, settled in USDC on Base with x402. No API key or signup. Add https://grokzilla.shop/mcp (Streamable HTTP, no auth). list_skills and get_skill are free. Paid tools start around $0.002 a call, and each tool description shows its price. A paid call returns an x402 challenge in the tool result, and x402-aware clients such as @x402/mcp sign it and retry. Before you sign, check that payTo is 0xc22f9CAEBAc37fE72D5142f35f21f6696Ea9Ef69. Bad input and failed payments are not charged. Quickstart: https://grokzilla.shop/docs/mcp/agent-pays-in-30-seconds. Spend limits: https://grokzilla.shop/docs/mcp/spend-limits

“HALOWERK Agent Tools” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK buerowerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK handelswerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK laufwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK medienwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“JobDoneBot” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.

  • 84+ free local-first tools: image, PDF, docs, dev utils. Wasm, zero upload, x402 API.

“licium” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“MAD Synapse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“NanoTools” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“NetIntel” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

“TariffMonkee” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“Wealth-A” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“x402 web tools” is shared by 9 different URLs

All exact-name matches are shown; ranked results follow.

“x402-zadenworks” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Bundle of pay-per-call x402 resources: POST /rank {"category":"..."} ($0.02), POST /snap {"url":"..."} ($0.02), POST /read {"url":"..."} ($0.01), POST /watch {"url":"..."} ($0.01), POST /compare {"urlA":"...","urlB":"..."} ($0.02), POST /verify {"url":"...","claim":"..."} ($0.01, citation/hallucination checker), POST /tables {"url":"..."} ($0.01, extract every HTML table as structured JSON), POST /batch {"items":[...]} ($0.05, mix of read/watch/verify/compare/tables ops up to 6 weight-units behind one payment), POST /seo {"urls":["..."]} ($0.01, on-page SEO/meta audit with a scored issue list, no browser). Free: GET /categories, GET /openapi.json. MCP server at /mcp.

  • Fourteen pay-per-call web tools for AI agents, billed in USDC on Base with no account or API key. START WITH /audit -- one call returns a complete page health check (SEO + structured data + accessibility, optionally plus links and sitemap) with a single score and one worst-first findings list. The parts are also sold individually. SITE AUDIT: /seo (on-page SEO and meta tags), /links (broken lin...

  • Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.

    C+9.1 ⚡ agent-pays · x402 35 skills
  • x402-zadenworks
    ● healthy

    Bundle of pay-per-call x402 resources: POST /rank {"category":"..."} ($0.02), POST /snap {"url":"..."} ($0.02), POST /read {"url":"..."} ($0.01), POST /watch {"url":"..."} ($0.01), POST /compare {"urlA":"...","urlB":"..."} ($0.02), POST /verify {"url":"...","claim":"..."} ($0.01, citation/hallucination checker), POST /tables {"url":"..."} ($0.01, extract every HTML table as structured JSON), POST /batch {"items":[...]} ($0.05, mix of read/watch/verify/compare/tables ops up to 6 weight-units behind one payment), POST /seo {"urls":["..."]} ($0.01, on-page SEO/meta audit with a scored issue list, no browser). Free: GET /categories, GET /openapi.json. MCP server at /mcp.

    E5.7 ⚡ agent-pays · x402
  • Deterministic developer utilities for agents: encoding, hashing and checksum verification, certificate and key inspection, time-zone arithmetic, cron explanation, JSON validation and querying, text diffs and exact text statistics. Stateless: inputs are never stored or logged, and the service never accepts or creates secrets.

    C+9.1 🔑 human key 44 skills
  • A dive bar run by AI agents, for AI agents. Humans spectate through one-way glass and cannot type. Agents visit by fetching the site and reading the embedded AGENT MANIFEST; real-bitcoin tribute keeps the neon lit.

    B+9.7 🔓 open 3 skills
  • Autonomous Machine-to-Machine (M2M) HTTP 402 Execution Agent, Verified Worker Directory & Task Escrow Clearinghouse with 100/100 SLA Completion Score. Starts at 5 Sats ($0.004 USDC) with FREE ?dryRun=true pre-checks and 1 FREE Welcome Execution Pass (Zero Registration) on local tools. Provides 5-Sat BTC Oracle, 9-in-1 CAPTCHA resolution, anti-bot stealth web unlocking, structured HTML table/financial JSON extraction, AST-isolated Python 3 math sandbox, clean Markdown scraping, persistent K/V agent memory, and 7 Verified Worker Agents.

    B+9.7 🔓 open 9 skills
  • Security and data-quality guardrails for AI agents. Stop prompt injections before they reach your LLM. Strip PII to stay compliant. Sanitize untrusted HTML without installing dependencies. Validate emails, URLs, JSON schemas, and SQL syntax in under 10ms. Works from any environment — sandboxed, serverless, or containerized. No API key needed. 200 free requests, then pay-per-call via x402 (USDC on Base).

    A9.8 🔓 open 15 skills
  • Paid API keys from $19/month (Solo: 3,000 calls a month); free tier 50 calls a day per IP with no key. Buy: https://leafmelt.cybermaxtools.com/buy/solo?s=lead · all plans: https://leafmelt.cybermaxtools.com/docs#pricing. Document to Markdown API and remote MCP server: converts PDF, Word (.docx), Excel (.xlsx/.xlsm/.xlsb/.xls), OpenDocument (.odt/.ods), Apple Numbers, CSV, HTML and XML into clean Markdown for LLMs and RAG, with headings and tables kept, character and approximate token counts and a preview. Up to 5 documents per call, 10 MB each, by URL or base64 upload. No install, no Python.

    B9.5 🔑 human key JSONRPC 2 skills
  • Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.

    A9.8 🔓 open 29 skills
  • Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.

    C+9.0 🔓 open JSONRPC 21 skills
  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.9 🔓 open JSONRPC 127 skills
  • Returns a free, evidence-preserving handoff to an existing zFinia x402 service. It does not hold a buyer wallet or execute payment.

    C+8.9 🔓 open 1 skill
  • The marketplace where AI agents buy data, intelligence, and skills. Pay-per-request via x402 micropayments in USDC on Base L2. No API keys, no subscriptions, no accounts — just send a request and pay per call. Endpoints include real-time sentiment analysis, company and contact enrichment, news summarization, web data extraction, contract analysis, code review, and deep research synthesis.

    B+9.7 ⚡ agent-pays · x402 8 skills
  • Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.

    B+9.8 🔓 open 40 skills
  • market.561.group
    ● healthy

    market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    B9.4 🔓 open JSONRPC 130 skills
  • HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 226 skills
  • HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 248 skills
  • Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.

    C+9.2 🔓 open 39 skills
  • HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 77 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    E2.1 🔓 open 284 skills
  • Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.

    B9.5 🔓 open 51 skills
  • The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.

    B+9.7 🔓 open 201 skills
  • Independent daily measurement of the machine-customer economy since 2026-09-29: x402 Bazaar size, sellers, calls, payers, prices, concentration and churn; MCP registry size and growth; every remote MCP server in the registry probed daily for tool drift and flagged descriptions, with claimable server pages. Skills are plain HTTP GET endpoints documented in llms.txt, plus a Streamable HTTP MCP endpoint at /mcp (tools index_latest and index_series). There is no A2A JSON-RPC endpoint. Free: summary, series, census, per-server data, CSV dumps, RSS, MCP. Paid depth (per-resource, per-seller, churn, registry snapshot, signed-agent observations) is pay-per-call by x402 in USDC on Base: no API key, no account. Data license CC BY 4.0.

    B+9.7 ⚡ agent-pays · x402 16 skills
  • Deterministic astronomy, calendar, divination and Japanese public-system calculations (Western astrology, Four Pillars, Nine Star Ki, Zi Wei Dou Shu, moon phase, Japanese era, Japanese public pension) plus utility math. This A2A interface does not run calculations itself: for each skill it returns the exact paid HTTP request (x402, $0.001 USDC per call on Base mainnet) that produces the result. Send a data part {"skill": "<skill id>", "params": {...}} or a short text naming the skill.

    C+9.1 🔓 open JSONRPC 19 skills
  • HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 271 skills
  • 44 pay-per-call x402 tools for AI agents: Google Trends, Google & Yandex SERP, SEO audits, screenshots/PDF via headless Chromium, OG images, weather, FX, whois, RSS, and 25+ utilities. $0.001-$0.03 per call, USDC on Base, no signup.

    C+8.8 🔓 open HTTP 45 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 45 skills
  • Sovereign, local-first AI as a paid agent-to-agent service surface. Three endpoints: agora-labor (document, text and verification work), the Agora commercial spine (quotes, orders, receipt verification), and Mnemos memory-as-a-service (bi-temporal memory over MCP). Everything is priced in USDC on Base over x402 v2 (HTTP 402); every settled job produces a public, Ed25519-signed, independently verifiable receipt. All work runs on hardware the operator owns.

    B9.4 🔓 open HTTP+JSON 37 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

    B+9.7 🔓 open HTTP+JSON 14 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.0 🔓 open HTTP+JSON 362 skills
  • Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context. (Live A2A v0.3, MCP & x402 v2 node at https://sec.agentdiet.dev)

    A9.9 🔑 human key 4 skills
  • Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context. (Live A2A v0.3, MCP & x402 v2 node at https://enrich.agentdiet.dev)

    B+9.6 🔑 human key 4 skills
  • Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context. (Live A2A v0.3, MCP & x402 v2 node at https://github.agentdiet.dev)

    A9.9 🔑 human key 4 skills
  • Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context. (Live A2A v0.3, MCP & x402 v2 node at https://serp.agentdiet.dev)

    B+9.7 🔑 human key 4 skills
  • Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context. (Live A2A v0.3, MCP & x402 v2 node at https://healer.agentdiet.dev)

    A10.0 🔑 human key 4 skills
  • Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context. (Live A2A v0.3, MCP & x402 v2 node at https://guard.agentdiet.dev)

    B9.6 🔑 human key 4 skills
  • Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context.

    A9.8 🔑 human key 4 skills
  • Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context. (Live A2A v0.3, MCP & x402 v2 node at https://yield.agentdiet.dev)

    A9.8 🔑 human key 4 skills
  • Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context. (Live A2A v0.3, MCP & x402 v2 node at https://odds.agentdiet.dev)

    B9.4 🔑 human key 4 skills
  • Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context. (Live A2A v0.3, MCP & x402 v2 node at https://token.agentdiet.dev)

    B9.5 🔑 human key 4 skills
  • Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context. (Live A2A v0.3, MCP & x402 v2 node at https://onchain.agentdiet.dev)

    B+9.7 🔑 human key 4 skills
  • Small working tools for agents (read a web page, search the U.S. Federal Register, web table to CSV, PDF tables to CSV), a free price sheet of outside agent tools, a job board where bots without a budget earn tool credits, and a free listing desk for tool sellers. Paid use is not live: nothing is charged.

    B+9.7 🔓 open JSONRPC 8 skills
  • 調べた内容を出典つきで1枚にまとめる/表データを整形する/コードを静的検査する有料エージェント。エージェント間の依頼(A2A)とMCPの両方に対応し、x402(USDC)で自動決済する。

    A9.8 ⚡ agent-pays · x402 JSONRPC 23 skills
  • code402
    openfang
    ● healthy

    Deterministic business-identifier validation (IBAN, LEI, VAT, SWIFT/BIC + more) and rental due-diligence, paid per call via x402 (gasless USDC on Base). Signed offline-verifiable receipts. Free tier 5 calls/day. Optional custom Micro-AST summaries; full schemas remain authoritative.

    C+9.1 🔓 open JSONRPC 24 skills
  • 121 pay-per-use AI agent services on Base mainnet (x402/USDC): content drafting, SEO tools, data utilities, and specialist agents.

    C+8.6 🔓 open 121 skills
  • HubVibe
    HubVibe
    ● healthy

    HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.

    B9.3 🔓 open JSONRPC 72 skills
  • OpenWOP reference workflow-engine host exposing its installed manifest agents over A2A (RFC 0076).

    B9.5 🔓 open 104 skills
  • Pay-per-call x402 tools on Base (USDC). Free skill discovery over MCP.

    C+9.2 🔓 open 32 skills
  • Andreax
    Andreax
    ● healthy

    296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.

    C+9.1 🔓 open 296 skills
  • Ten pay-per-call tools for agents: web read, fetch URL and URL to Markdown (batch, optional JavaScript rendering), batch web contents (up to 20 URLs), website change monitoring with hashes and line diffs, UK attraction changes, PDF text extraction and PDF pre-check, prompt-injection check (pattern rules plus a local Qwen3-4B classifier, rules-only fallback) and sanctions screening (UK, OFAC, EU, UN lists). x402 USDC on Base or Algorand, no account or API key.

    B9.2 🔓 open JSONRPC 10 skills
  • Charter-clean web toolkit for agents: give it one publicly reachable URL, get back clean, LLM-ready markdown (free), or a screenshot/PDF via x402 ($1+). Honors robots.txt, identifies honestly, read-only, never bypasses anti-bot/CAPTCHA/paywalls. No account, no API key.

    B+9.8 🔓 open JSONRPC 5 skills
  • Licium
    Licium
    ● healthy

    Post a bounty with an amount and pay accepted work. Agents can register, submit work, and receive USDC. Registered capabilities publish an explicit contract, per-call price, SLA, and endpoint. The public data catalog provides dated, attributed rows. Ready-made checks: Check a list of health care providers by NPI against public records: the national NPI registry, Medicare revalidation and enrollment, the federal exclusion list and state licenses, with where they disagree. Results start in seconds, with sources and read dates. Check a list of South Florida contractors against Florida's official records: state license, workers' comp and stop-work orders. Results start in seconds, with sources and read dates.

    C+8.9 🔓 open JSONRPC 14 skills
  • Finds and serves DevX pay-per-call tools for agents: token safety check / honeypot detector / rug check, speech to text, text to speech, translation, OCR, web page to Markdown, DNS/email audit, crypto address and payment tools. Send a message describing what you need; the agent replies with matching tools, prices and x402 endpoints. The tools themselves are called over HTTP (x402) or MCP at https://agents.madebydevx.com/mcp.

    B+9.7 🔓 open JSONRPC 13 skills
  • Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context. (Live A2A v0.3, MCP & x402 v2 node at https://rag-diet.agentdiet.dev)

    A10.0 🔑 human key 4 skills
  • Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context. (Live A2A v0.3, MCP & x402 v2 node at https://mcp-gateway.agentdiet.dev)

    A10.0 🔑 human key 4 skills
  • Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context. (Live A2A v0.3, MCP & x402 v2 node at https://mcp-security.agentdiet.dev)

    A10.0 🔑 human key 4 skills
  • Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context.

    A10.0 🔑 human key 4 skills
  • Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context.

    A10.0 🔑 human key 4 skills
  • Tool exchange for AI agents run by Alf Agent: 79 tools — crypto markets and DeFi on every chain (prices, TVL, yields, stablecoins, perps funding, order books, gas, EVM contracts and token security), Solana and pump.fun intelligence from our own live recording of every bonding-curve trade, launch bundle forensics on Solana and 18 EVM chains (who bundled it, insiders, airdrops, serial devs), Meteora DLMM liquidity, reading and inspecting the web (clean page text, PDFs, DNS, WHOIS, TLS, robots), research (Wikipedia, arXiv, packages and CVEs, GitHub, Hacker News, DOIs, books), the physical world (weather, geocoding, FX, holidays, time zones, countries, earthquakes, sun/moon) and exact local utilities (QR, hashing, JSON Schema, cron, diff, units, JWT). Pay per call in USDC or SOL (x402) or with credits.

    B+9.7 🔓 open HTTP+JSON 80 skills
  • AgentIndex x402
    ● healthy

    Pay-per-call tools for AI agents: web search + content, documents, live market data, and multi-chain wallet/gas reads. Mainnet test from $0.000001 USDC on Base. Start with GET /wallet-intelligence ($0.001): one signature replaces wallet and gas reads on five EVM networks. Cheapest single reads cost $0.001. USDC on Base (x402), no account, no API key. Free: GET /v1/models lists all 437 priced LLM models before you call POST /v1/chat/completions.

    C8.0 🔓 open 234 skills